* bartik_80_11.do
* stata to do bartik shocks stripping local effects
* Tom Davidoff
* 03/17/15

set more off
cd
clear 
quietly infix        int     year      1-4    byte    statefip  5-6   int     conspuma  7-9  int     age       10-12  int     ind1990   13-15  using `"Data/usa_00040.dat"' 
egen localemp = count(ind1990), by(ind1990 year conspuma)
egen totalemp = count(ind1990), by(conspuma year)
egen sumyear = count(ind1990), by(ind1990 year)
sort conspuma year ind1990
drop if conspuma==conspuma[_n-1] & year==year[_n-1] & ind1990 == ind1990[_n-1]
gen dlocalemp = sumyear-localemp
gen y1980 = year==1980
egen grow_num = max(dlocalemp*(1-y1980)), by(ind1990 conspuma)
egen grow_denom = max(dlocalemp*y1980), by(ind1990 conspuma)
keep if year==1980
gen grow_share_80 = (grow_num/grow_denom)*localemp/totalemp
gen
egen grow = sum(grow_share_80), by(conspuma)
sort conspuma
drop if conspuma==conspuma[_n-1]
list
keep conspuma grow
outsheet using docs/supply_instrument/data/bartik_80_11.csv, comma replace
